# Helix Management System  
  
## Topology Definition  
  
* SDP/P4D Instances  
* Helix Topology Components  
	* P4D  
		* Master/Commit  
		* Read Only Replica  
		* Forwarding Replica  
		* Filtered Forwarding Replica  
		* Standby Replica  
		* Edge Server  
	* P4Broker  
	* P4Proxy  
	* Git Fusion  
	* Swarm  
	* P4Web  
	* P4DTG  
* Failover Plans  
  
## Standards  
  
* ServerID Names  
* Geographic Site Tags  
* Replica Type Tags  
	* ro: Read-Only Standby Replica  
	* rom:  Read-Only Standby Replica, Metadata Only  
	* fr: Forwarding Replica (Unfiltered)  
	* fs: Forwarding Standby Replica (Unfiltered)  
	* frm: Forwarding Replica (Unfiltered), Metadata Only  
	* ffr: Filtered Forwarding Replica (Not a valid failover target)  
	* edge: Edge Server (Filtered by nature, not a valid failover target)  
  
## Centralized Management  
  
* Start/Stop  
* Status  
	* Executable running  
	* Replication Keeping Up  
	* Swarm worker status  
  
## Failover Planning  
  
* Full  
	* Disaster Recovery  
* Metadata Only  
	* Disaster Recovery  
	* High Availability  
* Host Local  
	* High Availability  
  
## Failover Plan Execution  
  
* Human Initiated  
* Fully Automated  
